Foreman - Bug #7137

Foreman is not using LDAP account to bind to the directory
08/18/2014 11:37 AM - Chuck Schweizer

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Authentication

Target version: 1.6.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.6.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| have LDAP authentication running in Foreman 1.5.2 without any issues. | am starting to test 1.6.0-rc1 and have found that even
though | have defined an LDAP account to bind with 1.6.2 is only attempting to use an anonymous connection. | am not using SSL
for this I[dap connection.

History

#1 - 08/18/2014 11:45 AM - Dominic Cleal
- Category set to Authentication
- Target version setto 1.7.5

- translation missing: en.field_release set to 10

#2 - 08/18/2014 12:23 PM - Chuck Schweizer
Also this configuration is using POSIX.

#3 - 08/18/2014 12:59 PM - Chuck Schweizer

Based on my limited understanding, it looks like POSIX server type is not setup to allow a Service Account in the LDAP Fluff code.

#4 - 08/18/2014 03:39 PM - Chuck Schweizer

Here is what | had to change to fix my issue. Not sure if everything is fixed or if | broke something else.

https://github.com/csschwe/ldap_fluff/tree/POSIX_Idap_login_fix

#5 - 08/19/2014 03:45 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#6 - 08/19/2014 02:41 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/Idap_fluff/pull/31 submits the fix for group DN to look up users.

https://github.com/Katello/Idap_fluff/pull/32 allows use of a service account with POSIX servers. | tried to keep the original behaviours working, to
allow anonymous searches and also determine the DN from a search of the directory for binds.

#7 - 08/20/2014 06:51 AM - Anonymous
- Target version changed from 1.7.5t0 1.7.4

#8 - 08/23/2014 03:49 AM - Dominic Cleal
http://koji.katello.org/koji/taskinfo?tasklD=143822 (noarch.rpm) has all of the open Idap_fluff PRs patched in, if you wanted to test it.

#9 - 08/25/2014 09:07 AM - Chuck Schweizer
Dominic Cleal wrote:

http:/koji.katello.org/koji/taskinfo?tasklD=143822 (noarch.rpm) has all of the open Idap_fluff PRs patched in, if you wanted to test it.

This is working correctly for me. Thanks

#10 - 08/27/2014 02:39 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Thanks for the testing and patches. Idap_fluff 0.3.1 is being released into nightlies and 1.6.0-RC2.
